summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBent Bisballe Nyeng <deva@aasimon.org>2013-03-26 11:12:25 +0100
committerBent Bisballe Nyeng <deva@aasimon.org>2013-03-26 11:12:25 +0100
commit5ee6fc99546d41a063f44aa22931aa4bbf4ec8d1 (patch)
tree6e98d7f36a3c2cbc012ac4c73ae0088ae3d5d947
parent8c2cfbc7c7ec2bcf7e66eccc57eb453fa1b24b16 (diff)
New autogen.shlibushhp-1.0
-rwxr-xr-x[-rw-r--r--]autogen.sh160
1 files changed, 71 insertions, 89 deletions
diff --git a/autogen.sh b/autogen.sh
index 181b15c..272dcf0 100644..100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,89 +1,71 @@
-#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-# This was lifted from the Gimp, and adapted slightly by
-# Raph Levien, slightly hacked for xine by Daniel Caujolle-Bert.
-
-DIE=0
-
-PROG=anoid
-
-# Check how echo works in this /bin/sh
-case `echo -n` in
--n) _echo_n= _echo_c='\c';;
-*) _echo_n=-n _echo_c=;;
-esac
-
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROG."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have libtool installed to compile $PROG."
- echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.4.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PROG."
- echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
-}
-
-(aclocal --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: Missing aclocal. The version of automake"
- echo "installed doesn't appear recent enough."
- echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
-}
-
-if [ "$DIE" -eq 1 ]; then
- exit 1
-fi
-
-# Create testfiles
-TESTDIRS=src
-for d in $TESTDIRS
-do
- if [ ! -f $d/Makefile.am.test ]
- then
- touch $d/Makefile.am.test
- fi
-done
-
-aclocalinclude="$ACLOCAL_FLAGS"; \
-(echo $_echo_n " + Running aclocal: $_echo_c"; \
- aclocal $aclocalinclude; \
- echo "done.") && \
-(echo $_echo_n " + Running libtoolize: $_echo_c"; \
- libtoolize --force --copy >/dev/null 2>&1; \
- echo "done.") && \
-(echo $_echo_n " + Running autoheader: $_echo_c"; \
- autoheader; \
- echo "done.") && \
-(echo $_echo_n " + Running automake: $_echo_c"; \
- automake --gnu --add-missing --copy; \
- echo "done.") && \
-(echo $_echo_n " + Running autoconf: $_echo_c"; \
- autoconf; \
- echo "done.")
-
-rm -f config.cache
-
-for d in $TESTDIRS
-do
- if [ -f $d/Makefile.am.test ]
- then
- rm $d/Makefile.am.test
- fi
-done \ No newline at end of file
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+# This was lifted from the Gimp, and adapted slightly by
+# Raph Levien, slightly hacked for xine by Daniel Caujolle-Bert.
+
+DIE=0
+
+PROG=libusbhp
+
+# Check how echo works in this /bin/sh
+case `echo -n` in
+-n) _echo_n= _echo_c='\c';;
+*) _echo_n=-n _echo_c=;;
+esac
+
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROG."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile $PROG."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.4.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $PROG."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(aclocal --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: Missing aclocal. The version of automake"
+ echo "installed doesn't appear recent enough."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+if [ "$DIE" -eq 1 ]; then
+ exit 1
+fi
+
+aclocalinclude="$ACLOCAL_FLAGS"; \
+(echo $_echo_n " + Running aclocal: $_echo_c"; \
+ aclocal $aclocalinclude; \
+ echo "done.") && \
+(echo $_echo_n " + Running libtoolize: $_echo_c"; \
+ libtoolize --force --copy >/dev/null 2>&1; \
+ echo "done.") && \
+(echo $_echo_n " + Running autoheader: $_echo_c"; \
+ autoheader; \
+ echo "done.") && \
+(echo $_echo_n " + Running automake: $_echo_c"; \
+ automake --gnu --add-missing --copy; \
+ echo "done.") && \
+(echo $_echo_n " + Running autoconf: $_echo_c"; \
+ autoconf; \
+ echo "done.")
+
+rm -f config.cache